# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu May 30 22:29:05 2024
# ------------------------------------------------

package:
  name: voila
  version: 0.5.7
source:
  sha256: 1aa1a3aef73cc30a9ea4217f13a64269c1cc9185edbf10c2db820fa4ff29525f
  url: https://pypi.io/packages/source/v/voila/voila-0.5.7.tar.gz
build:
  entry_points:
    - voila = voila.app:main
  number: '0'
  script: /croot/voila_1717108150412/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vvv
  string: py312h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.3.11 h06a4308_0
    - editables 0.3 py312h06a4308_0
    - expat 2.6.2 h6a678d5_0
    - hatch-jupyter-builder 0.8.3 py312h06a4308_0
    - hatchling 1.21.1 py312h06a4308_0
    - jupyter_core 5.5.0 py312h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.13 h7f8727e_2
    - packaging 23.2 py312h06a4308_0
    - pathspec 0.10.3 py312h06a4308_0
    - pip 24.0 py312h06a4308_0
    - platformdirs 3.10.0 py312h06a4308_0
    - pluggy 1.0.0 py312h06a4308_1
    - python 3.12.3 h996f2a0_1
    - readline 8.2 h5eee18b_0
    - setuptools 69.5.1 py312h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - traitlets 5.7.1 py312h06a4308_0
    - trove-classifiers 2023.10.18 py312h06a4308_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py312h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - jupyter_client >=7.4.4,<9
    - jupyter_core >=4.11.0
    - jupyter_server >=2.0.0,<3
    - jupyterlab_server >=2.3.0,<3
    - nbclient >=0.4.0
    - nbconvert >=6.4.5,<8
    - python >=3.12,<3.13.0a0
    - traitlets >=5.0.3,<6
    - websockets >=9.0
  run_constrained:
    - ipywidgets =8
test:
  commands:
    - pip check
    - voila --help
  imports:
    - voila
  requires:
    - pip
about:
  description: 'Voila serves live Jupyter notebooks including Jupyter interactive
    widgets.

    Unlike the usual HTML-converted notebooks, each user connecting to the

    Voila tornado application is associated with a dedicated Jupyter kernel

    which can execute triggered by Jupyter interactive widgets.


    By default, voila disallows execute requests from the front-end, disabling

    the ability to execute arbitrary code.

    '
  dev_url: https://github.com/voila-dashboards/voila
  doc_url: https://voila.readthedocs.io/
  home: https://github.com/voila-dashboards/voila
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Rendering of live Jupyter notebooks with interactive widgets
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 19b126ec-f222-4a0c-9775-fea9a4fe4314
  recipe-maintainers:
    - JohanMabille
    - SylvainCorlay
    - jtpio
    - maartenbreddels
    - martinRenou
    - trungleduc
  remote_url: git@github.com:AnacondaRecipes/voila-feedstock.git
  sha: c4f58060d312da8eed871e9f82089acf0e7f1b22
